Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2019-12-09 09:10:01 +0000
committerSravan Kumar Lakkimsetti2019-12-09 09:10:01 +0000
commit6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931 (patch)
tree2b444bb60dca0e7f551b405cad07968623d39e38
parentd02d026d6741e5da503474d6ec2eedd4c95e9181 (diff)
downloadeclipse.platform.releng.aggregator-6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931.tar.gz
eclipse.platform.releng.aggregator-6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931.tar.xz
eclipse.platform.releng.aggregator-6d5a12cef54dbe4e8157d6a58229e5e5bbbf8931.zip
Bug 553757 - Migrate I-builds to new infra
Change-Id: I834bf65062ecc936b70cc5cbfa4b0ce26a90e294 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rw-r--r--cje-production/buildproperties.txt6
-rwxr-xr-xcje-production/mbscripts/mb110_tagBuildInputs.sh9
-rwxr-xr-xcje-production/mbscripts/mb600_promoteEclipse.sh36
-rwxr-xr-xcje-production/mbscripts/mb610_promoteEquinox.sh36
-rwxr-xr-xcje-production/mbscripts/mb620_promoteUpdateSite.sh67
5 files changed, 146 insertions, 8 deletions
diff --git a/cje-production/buildproperties.txt b/cje-production/buildproperties.txt
index 836201571..a8ccc4965 100644
--- a/cje-production/buildproperties.txt
+++ b/cje-production/buildproperties.txt
@@ -21,10 +21,10 @@ PATCH_OR_BRANCH_LABEL="master"
BUILD_TYPE_NAME="Integration"
BUILD_TYPE="I"
TESTED_BUILD_TYPE="I"
-RELEASE_VER="4.14"
-STREAM="4.14.0"
+RELEASE_VER="4.15"
+STREAM="4.15.0"
STREAMMajor="4"
-STREAMMinor="14"
+STREAMMinor="15"
STREAMService="0"
GIT_ROOT="ssh://genie.releng@git.eclipse.org:29418"
AGG_REPO="/platform/eclipse.platform.releng.aggregator.git"
diff --git a/cje-production/mbscripts/mb110_tagBuildInputs.sh b/cje-production/mbscripts/mb110_tagBuildInputs.sh
index f09e4f604..aac1f377b 100755
--- a/cje-production/mbscripts/mb110_tagBuildInputs.sh
+++ b/cje-production/mbscripts/mb110_tagBuildInputs.sh
@@ -33,12 +33,11 @@ lastTag=$(git describe --tags --match "${BUILD_TYPE}*" --abbrev=0)
pushd $CJE_ROOT/$AGG_DIR
# git tagging
-# disable git push for now
-#git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"
-git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; else echo Skipping \$name; fi || :"
+git commit -m "Build input for build $BUILD_ID"
+
+git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"
git tag $BUILD_ID
-# disable git push for now
-#git push --verbose origin $BUILD_ID
+git push --verbose origin $BUILD_ID
# git logging
if [[ -n "$lastTag" ]]; then
diff --git a/cje-production/mbscripts/mb600_promoteEclipse.sh b/cje-production/mbscripts/mb600_promoteEclipse.sh
new file mode 100755
index 000000000..78e1f8ffb
--- /dev/null
+++ b/cje-production/mbscripts/mb600_promoteEclipse.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Sravan Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $CJE_ROOT/scripts/common-functions.shsource
+source $1
+
+if [ ! -z BUILD_FAILED ]; then
+ exit 0
+fi
+if [[ -z "${WORKSPACE}" ]]; then
+ exit 0
+fi
+
+pushd $CJE_ROOT/$DROP_DIR/
+epDownloadDir=/home/data/httpd/download.eclipse.org/eclipse
+dropsPath=${epDownloadDir}/downloads/drops4
+scp -r ${BUILD_ID} genie.releng@projects-storage.eclipse.org:${dropsPath}/.
+popd
diff --git a/cje-production/mbscripts/mb610_promoteEquinox.sh b/cje-production/mbscripts/mb610_promoteEquinox.sh
new file mode 100755
index 000000000..ae961e3f7
--- /dev/null
+++ b/cje-production/mbscripts/mb610_promoteEquinox.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Sravan Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $CJE_ROOT/scripts/common-functions.shsource
+source $1
+
+if [ ! -z BUILD_FAILED ]; then
+ exit 0
+fi
+if [[ -z "${WORKSPACE}" ]]; then
+ exit 0
+fi
+
+pushd $CJE_ROOT/$EQUINOX_DROP_DIR
+epDownloadDir=/home/data/httpd/download.eclipse.org/equinox
+dropsPath=${epDownloadDir}/drops
+scp -r ${BUILD_ID} genie.releng@projects-storage.eclipse.org:${dropsPath}/.
+popd
diff --git a/cje-production/mbscripts/mb620_promoteUpdateSite.sh b/cje-production/mbscripts/mb620_promoteUpdateSite.sh
new file mode 100755
index 000000000..517fbd9f0
--- /dev/null
+++ b/cje-production/mbscripts/mb620_promoteUpdateSite.sh
@@ -0,0 +1,67 @@
+#!/bin/bash
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Sravan Lakkimsetti - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $CJE_ROOT/scripts/common-functions.shsource
+source $1
+
+if [ ! -z BUILD_FAILED ]; then
+ exit 0
+fi
+if [[ -z "${WORKSPACE}" ]]; then
+ exit 0
+fi
+
+epUpdateDir=/home/data/httpd/download.eclipse.org/updates
+dropsPath=${epUpdateDir}/${STREAMMajor}.${STREAMMinor}-${BUILD_TYPE}-builds
+pushd $CJE_ROOT/$UPDATES_DIR
+scp -r ${BUILD_ID} genie.releng@projects-storage.eclipse.org:${dropsPath}/.
+popd
+
+epDownloadDir=/home/data/httpd/download.eclipse.org/eclipse
+workingDir=${epDownloadDir}/workingDir
+workspace=${workingDir}/${JOB_NAME}-${BUILD_NUMBER}
+
+ssh genie.releng@projects-storage.eclipse.org rm -rf ${workingDir}/${JOB_NAME}*
+ssh genie.releng@projects-storage.eclipse.org mkdir -p ${workspace}
+
+#get java 8
+scp -r /opt/tools/java/oracle/jdk-8/latest genie.releng@projects-storage.eclipse.org:${workspace}/jdk8
+
+#get latest Eclipse platform product
+epRelDir=$(ssh genie.releng@projects-storage.eclipse.org ls -d --format=single-column ${dropsPath}/R-*|sort|tail -1)
+ssh genie.releng@projects-storage.eclipse.org tar -C ${workspace} -xzf ${epRelDir}/eclipse-platform-*-linux-gtk-x86_64.tar.gz
+
+#get requisite tools
+ssh genie.releng@projects-storage.eclipse.org wget -O ${workspace}/addToComposite.xml https://git.eclipse.org/c/platform/eclipse.platform.releng.aggregator.git/plain/cje-production/scripts/addToComposite.xml
+
+#triggering ant runner
+baseBuilderDir=${workspace}/eclipse
+javaCMD=${workspace}/jdk8/bin/java
+
+launcherJar=$(ssh genie.releng@projects-storage.eclipse.org find ${baseBuilderDir}/. -name "org.eclipse.equinox.launcher_*.jar" | sort | head -1 )
+
+devworkspace=${workspace}/workspace-antRunner
+devArgs=-Xmx512m
+extraArgs="addToComposite -Drepodir=${dropsPath} -Dcomplocation=${BUILD_ID}"
+
+ssh genie.releng@projects-storage.eclipse.org ${javaCMD} -jar ${launcherJar} -nosplash -consolelog -debug -data $devworkspace -application org.eclipse.ant.core.antRunner -file ${workspace}/addToComposite.xml ${extraArgs} -vmargs $devArgs
+
+ssh genie.releng@projects-storage.eclipse.org rm -rf ${workingDir}/${JOB_NAME}*

Back to the top